For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Brands
            • GETList Brands
            • POSTCreate Brand
            • DELDelete Brands
            • GETGet Brand
            • PUTUpdate Brand
            • DELDelete Brand
              • GETList Brand Metafields
              • POSTCreate Brand Metafield
              • GETGet Brand Metafield
              • PUTUpdate Brand Metafield
              • DELDelete Brand Metafield
        • Categories
        • Category Trees
        • Products
        • Product Modifiers
        • Product Variants
        • Product Variant Options
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminCatalogBrandsMetafields

List Brand Metafields

GET
https://api.bigcommerce.com/stores/:store_hash/v3/catalog/brands/:brand_id/metafields
GET
/stores/:store_hash/v3/catalog/brands/:brand_id/metafields
$curl https://api.bigcommerce.com/stores/store_hash/v3/catalog/brands/1/metafields \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
200Response
1{
2 "data": [
3 {
4 "key": "Location",
5 "namespace": "Warehouse Locations",
6 "permission_set": "app_only",
7 "value": "4HG",
8 "date_created": "1973-01-20T21:34:57.903Z",
9 "date_modified": "1990-12-30T00:29:23.515Z",
10 "description": "Location in the warehouse",
11 "id": 6,
12 "owner_client_id": "e8o0nm9ujew7byzu6x5dwjqe2rya2fv",
13 "resource_id": 111,
14 "resource_type": "brand"
15 },
16 {
17 "key": "Brand location",
18 "namespace": "Warehouse Locations",
19 "permission_set": "read",
20 "value": "4HG",
21 "date_created": "1973-01-20T21:34:57.903Z",
22 "date_modified": "1990-12-30T00:29:23.515Z",
23 "description": "Location in the warehouse",
24 "id": 7,
25 "owner_client_id": "e8o0nm9ujew7byzu6x5dwjqe2rya2fv",
26 "resource_id": 111,
27 "resource_type": "brand"
28 }
29 ],
30 "meta": {
31 "pagination": {
32 "total": 2,
33 "count": 2,
34 "per_page": 50,
35 "current_page": 1,
36 "total_pages": 1,
37 "links": {
38 "current": "?page=1&limit=50"
39 }
40 }
41 }
42}
Returns a list of brand metafields. Optional filter parameters can be passed in.
Was this page helpful?
Previous

Delete Brand Image

Next

Create Brand Metafield

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

brand_idintegerRequired
The ID of the brand to which the resource belongs.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Query parameters

idintegerOptional
Filter items by ID.
id:inlist of integersOptional
id:not_inlist of integersOptional
id:minlist of integersOptional
id:maxlist of integersOptional
id:greaterlist of integersOptional
id:lesslist of integersOptional
pageintegerOptional

Specifies the page number in a limited (paginated) list of products.

limitintegerOptional

Controls the number of items per page in a limited (paginated) list of products.

keystringOptional

Filter based on a metafieldʼs key.

namespacestringOptional

Filter based on a metafieldʼs namespaces.

include_fieldslist of stringsOptional

Fields to include, in a comma-separated list. The ID and the specified fields will be returned.

exclude_fieldslist of stringsOptional

Fields to exclude, in a comma-separated list. The specified fields will be excluded from a response. The ID cannot be excluded.

Response

datalist of objects
metaobject
Data about the response, including pagination and collection totals.

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.